> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.shimi.cash/api-reference/shimi-api/customer-transactions/fetch-a-customer-s-single-transaction/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.shimi.cash/_mcp/server. # Fetch a Customer's Single Transaction GET https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/{customer}/{transactionId} Fetch one transaction belonging to one customer. **Path parameters:** `customer` (customer ID) and `transactionId` (transaction `id`), both required. **Behaviour notes:** A transaction that doesn't exist, or doesn't belong to that customer, returns `200` with `"data": null`, not 404. Reference: https://docs.shimi.cash/api-reference/shimi-api/customer-transactions/fetch-a-customer-s-single-transaction ## Authentication - `Authorization` header (bearer token, required) — Access token from Generate Access Token (valid 15 minutes). ## Request ### Path parameters - `customer` (string, required) — The customer ID. - `transactionId` (string, required) — The transaction ID. ## Response ### 200 Success / Not found - `status` (string, optional) - `data` (TransactionCustomerTransactionIdGetResponsesContentApplicationJsonSchemaData, optional, nullable) ## Errors ### 401 Unauthorized Error Unauthorized - `message` (string, optional) ### 403 Forbidden Error Invalid or expired access token / KYB not approved / Account deactivated - `message` (string, optional) - `code` (string, optional) - `kybStatus` (string, optional) ## Types ### TransactionCustomerTransactionIdGetResponsesContentApplicationJsonSchemaData - `id` (string, optional) - `amount` (integer, optional) - `type` (string, optional) - `status` (string, optional) - `narration` (string, optional) - `sessionId` (string, optional) - `createdAt` (string, optional) ## Examples ### 200 Success **Response** ```json { "status": "success", "data": { "id": "cmgc1h9v30012rk5y2m7n4p6q", "amount": 50000, "type": "CREDIT", "status": "SUCCESS", "narration": "TRF FRM ADEBAYO TUNDE/Rent Oct", "sessionId": "000013261004102233441122334455", "createdAt": "2026-10-04T10:22:41.118Z" } } ``` **SDK Code** ```python 200 Success import requests url = "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript 200 Success const url = 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go 200 Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby 200 Success require 'uri' require 'net/http' url = URI("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java 200 Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId") .header("Authorization", "Bearer ") .asString(); ``` ```php 200 Success request('GET', 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp 200 Success using RestSharp; var client = new RestClient("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift 200 Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### 200 Not found **Response** ```json { "status": "success", "data": null } ``` **SDK Code** ```python 200 Not found import requests url = "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript 200 Not found const url = 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go 200 Not found package main import ( "fmt" "net/http" "io" ) func main() { url := "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby 200 Not found require 'uri' require 'net/http' url = URI("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java 200 Not found import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId") .header("Authorization", "Bearer ") .asString(); ``` ```php 200 Not found request('GET', 'https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp 200 Not found using RestSharp; var client = new RestClient("https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift 200 Not found import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://shimi-waas-api-9493532b9281.herokuapp.com/api/v1/transaction/customer/transactionId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```